From: Daniel Swarbrick <dswarbrick@debian.org>
Date: Fri, 14 Jul 2023 19:05:46 +0200
Subject: Revert alecthomas/kingpin import path

Forwarded: not-needed
Last-Update: 2023-07-07

Newer versions of alecthomas/kingpin use a different import path. This patch
can be dropped once the golang-gopkg-alecthomas-kingpin.v2-dev package is
updated and provides the new import path.
---
 cmd/prometheus/main.go | 2 +-
 cmd/promtool/main.go   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/cmd/prometheus/main.go b/cmd/prometheus/main.go
index 6f5f9eb..5a3ab0e 100644
--- a/cmd/prometheus/main.go
+++ b/cmd/prometheus/main.go
@@ -34,7 +34,6 @@ import (
 	"syscall"
 	"time"
 
-	"github.com/alecthomas/kingpin/v2"
 	"github.com/alecthomas/units"
 	"github.com/go-kit/log"
 	"github.com/go-kit/log/level"
@@ -49,6 +48,7 @@ import (
 	toolkit_web "github.com/prometheus/exporter-toolkit/web"
 	"go.uber.org/atomic"
 	"go.uber.org/automaxprocs/maxprocs"
+	"gopkg.in/alecthomas/kingpin.v2"
 
 	"github.com/prometheus/prometheus/config"
 	"github.com/prometheus/prometheus/discovery"
diff --git a/cmd/promtool/main.go b/cmd/promtool/main.go
index 14ca203..396d8a9 100644
--- a/cmd/promtool/main.go
+++ b/cmd/promtool/main.go
@@ -31,7 +31,6 @@ import (
 	"text/tabwriter"
 	"time"
 
-	"github.com/alecthomas/kingpin/v2"
 	"github.com/go-kit/log"
 	"github.com/google/pprof/profile"
 	"github.com/prometheus/client_golang/api"
@@ -42,6 +41,7 @@ import (
 	"github.com/prometheus/common/model"
 	"github.com/prometheus/common/version"
 	"github.com/prometheus/exporter-toolkit/web"
+	"gopkg.in/alecthomas/kingpin.v2"
 	"gopkg.in/yaml.v2"
 
 	dto "github.com/prometheus/client_model/go"
